Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization.target
Class Personalization

    java.lang.Object
      org.esupportail.portal.channels.CStockage.spacesPersonalization.target.Personalization

public class Personalization
extends java.lang.Object

Id: Personalization.java,v 1.0 23 sept. 2005 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: Personalization Original Author: Yohan Colmant Represents an object used for the management during the personalization

Constructor Summary
`Personalization()` Default constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`java.lang.String` | `getIdOfSharing()`
`java.lang.String` | `getInheritedFrom()`
`int` | `getReading()`
`int` | `getSharing()`
`int` | `getWriting()`
`boolean` | `isInheritedAcl()`
`boolean` | `isModifiable()`
`boolean` | `isObliged()`
`boolean` | `isSecurityRight()`
`boolean` | `isVisible()`
`void` | `setIdOfSharing(java.lang.String idOfSharing)`
`void` | `setInheritedAcl(boolean inheritedAcl)`
`void` | `setInheritedFrom(java.lang.String inheritedFrom)`
`void` | `setModifiable(boolean modifiable)`
`void` | `setObliged(boolean obliged)`
`void` | `setObliged(java.lang.String obliged)`
`void` | `setReading(int reading)`
`void` | `setSecurityRight(boolean securityRight)`
`void` | `setSharing(int sharing)`
`void` | `setVisible(boolean visible)`
`void` | `setWriting(int writing)`
`java.lang.String` | `toString()` Return a String from this user

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Personalization

    public Personalization()

  Default constructor

Method Detail

### isSecurityRight

    public boolean isSecurityRight()

  Returns:
    Returns the securityRight.

### setSecurityRight

    public void setSecurityRight(boolean securityRight)

  Parameters:
    `securityRight` - The securityRight to set.

### getInheritedFrom

    public java.lang.String getInheritedFrom()

  Returns:
    Returns the inheritedFrom.

### setInheritedFrom

    public void setInheritedFrom(java.lang.String inheritedFrom)

  Parameters:
    `inheritedFrom` - The inheritedFrom to set.

### isInheritedAcl

    public boolean isInheritedAcl()

  Returns:
    Returns the inheritableAcl.

### setInheritedAcl

    public void setInheritedAcl(boolean inheritedAcl)

  Parameters:
    `inheritedAcl` - The inheritedAcl to set.

### isModifiable

    public boolean isModifiable()

  Returns:
    Returns the modifiable.

### setModifiable

    public void setModifiable(boolean modifiable)

  Parameters:
    `modifiable` - The modifiable to set.

### getReading

    public int getReading()

  Returns:
    Returns the reading.

### setReading

    public void setReading(int reading)

  Parameters:
    `reading` - The reading to set.

### getWriting

    public int getWriting()

  Returns:
    Returns the writing.

### setWriting

    public void setWriting(int writing)

  Parameters:
    `writing` - The writing to set.

### getSharing

    public int getSharing()

  Returns:
    Returns the sharing.

### setSharing

    public void setSharing(int sharing)

  Parameters:
    `sharing` - The sharing to set.

### isObliged

    public boolean isObliged()

  Returns:
    Returns the obliged.

### setObliged

    public void setObliged(boolean obliged)

  Parameters:
    `obliged` - The obliged to set.

### setObliged

    public void setObliged(java.lang.String obliged)

  Parameters:
    `obliged` - The obliged to set. "T" or "F"

### getIdOfSharing

    public java.lang.String getIdOfSharing()

  Returns:
    Returns the idOfSharing.

### setIdOfSharing

    public void setIdOfSharing(java.lang.String idOfSharing)

  Parameters:
    `idOfSharing` - The idOfSharing to set.

### isVisible

    public boolean isVisible()

  Returns:
    Returns the visible.

### setVisible

    public void setVisible(boolean visible)

  Parameters:
    `visible` - The visible to set.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

### toString

    public java.lang.String toString()

  Return a String from this user

  Returns:
    a String from this user

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD